Bug 459948 - Review Request: libhildon - Hildon Application Framework - shared libraries
Review Request: libhildon - Hildon Application Framework - shared libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-08-24 23:50 EDT by Michel Alexandre Salim
Modified: 2009-02-03 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 17:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-08-24 23:50:46 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/maemo/libhildon.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/maemo/libhildon-2.0.4-1.fc10.src.rpm
Description:
The Hildon application framework introduces a new desktop for handheld
devices. It comprises a lightweight desktop, a set of widgets
optimized for handheld devices, a set of theming tools and other
complementary libraries and applications.

This package contains the shared libraries needed to run Hildon
applications.
Comment 1 Peter Robinson 2008-12-16 11:26:53 EST
It unfortunately doesn't compiling using in rawhide using mock. It needs a BuildRequires: libtool and there's a gconf/dbus issue below. Not sure if the issue is fixed in 2.0.6 which has been released.


checking for GCONF... 
configure: error: Package requirements (gconf-2.0 >= 2.6) were not met:
Package dbus-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-1.pc'
to the PKG_CONFIG_PATH environment variable
Package 'dbus-1', required by 'gconf', not found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables GCONF_CFLAGS
and GCONF_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.6XE1ki (%build)
    Bad exit status from /var/tmp/rpm-tmp.6XE1ki (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/libhildon.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 317, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/libhildon.spec']
LEAVE do --> EXCEPTION RAISED
Comment 2 Michel Alexandre Salim 2009-01-30 13:46:32 EST
Will update soon, thanks for the reports.
Comment 4 Peter Robinson 2009-02-01 07:11:46 EST
Looks fine but I believe the -devel package also needs to have a "Requires: gtk-doc". Other than that it all looks OK.

APPROVED.

+ rpmlint output

rpmlint -i libhildon-2.0.6-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  edad45e30d8388411edf14116dbac2f3  libhildon_2.0.6-1.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 5 Michel Alexandre Salim 2009-02-01 16:16:03 EST
Thanks, will add the dependency to gtk-doc.

New Package CVS Request
=======================
Package Name: libhildon
Short Description: Hildon Application Framework - shared libraries
Owners: salimma
Branches: F-9 F-10 EL-5
InitialCC:
Comment 6 Michel Alexandre Salim 2009-02-01 16:25:14 EST
Note: gtk-doc is pulled in by gtk2-devel, so the initial packaging was correct; however, since the bulk of -devel is actually documentation, I'm splitting it to -doc (with explicit gtk-doc dependency this time); example files are moved there as well.
Comment 7 Kevin Fenzi 2009-02-02 23:22:50 EST
cvs done.
Comment 8 Peter Robinson 2009-02-03 17:08:41 EST
Built and it rawhide so closing

Note You need to log in before you can comment on or make changes to this bug.